.grids {
  margin: calc(var(--size) * 0.5) auto 0;
  width: calc(var(--size) * calc(var(--Nhexa) - 1));
  display: grid;
  grid-template-columns: repeat(var(--Nhexa), 1fr);
  grid-gap: var(--gap);
  display: inline-grid;
}
article {
  background: #673ab7;
  width: var(--size);
  height: calc(var(--size) / 1.1111111);
  clip-path: url(#hexagono);
  clip-path: polygon(25% 0, 75% 0, 100% 50%, 75% 100%, 25% 100%, 0 50%);
  margin-right: calc(var(--size) / 2);
  color: #fff;
  overflow: hidden;
}
article:nth-child(2n) {
  margin: calc(var(--size) * -0.5) calc(var(--size) * -0.25) 0
    calc(var(--size) * -0.75);
}
article::before {
  content: "";
  float: left;
  width: 25%;
  height: 100%;
  clip-path: polygon(0% 0%, 100% 0%, 0% 50%, 100% 100%, 0% 100%);
  shape-outside: polygon(0% 0%, 100% 0%, 0% 50%, 100% 100%, 0% 100%);
}

img {
  width: var(--size);
  height: var(--size);
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transform-origin: 0% 50%;
  transition: 0.75s;
  clip-path: url(#hexagono);
  clip-path: inherit;
  z-index: 10;
}
article:hover img {
  transform: translate(-50%, -50%) rotate(-110deg);
}

figure {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  justify-content: center;
  max-width: 100%;
  height: 100%;
  font-size: calc(9 / var(--Nhexa) * 1vw);
  line-height: 1;
  color: #fff;
  transition: 0.75s 0.05s;
  text-align: center;
  padding: 20px;
}
h2 {
  font-size: 50%;
}
figure p {
  font-size: 70%;
  line-height: 1.2;
  width: 100%;
}
body > p {
  font-size: 1.5rem;
  margin: 2rem 0 1rem calc(var(--size) * 0.5);
  font-weight: 200;
}

*,
*:after,
*:before {
  box-sizing: inherit;
}
* {
  margin: 0;
  padding: 0;
  border: 0 none;
  position: relative;
}
:root {
  --sinSerif: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen",
    "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue",
    sans-serif;
  --Nhexa: 4;
  --gap: 2vw;
  --size: calc(calc(100vw / var(--Nhexa)) - var(--gap));
}
@media only screen and (min-width: 1100px) {
  :root {
    --Nhexa: 6;
  }
}
@media only screen and (max-width: 600px) {
  :root {
    --Nhexa: 2;
  }
  body {
    margin-right: calc(var(--size) * 0.3);
  }
}
/* html {
  background: #e9e9e7;
  box-sizing: border-box;
  font-family: var(--sinSerif);
  font-size: 1rem;
} */
